

// Require the module and instantiate instance
var TJO = require('asksuite-translate-json-object')();


let defaultAtributes = ['chatTreeId', "trackId", "dialog", "intent", "goToDialog", "type", "search", "image", "registerData", "id", "subject", "to", "default", "hsystemKey", "statusRevision"];


module.exports = function (config) {

    let translator = {};

    TJO.init({
        url: config.INFOCHAT_DATA_SERVER+"/",
    });


    translator.translate = function (data, language) {

        return new Promise(function(resolve, reject){

            TJO.translate(data, language, defaultAtributes)
                .then(function(data) {
                   resolve(data);
                }).catch(function(err) {
                console.log('error ', err)
                reject(data);
            });
        })
    }

    return translator;
}

// Choose the service to use google/yandex,
// if you provide both yandex will be used as the default


